Bug 610494 - Sony VAIO [vpcZ126GG]'s touchpad is not detected and not working by default
Sony VAIO [vpcZ126GG]'s touchpad is not detected and not working by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 04:53 EDT by A S Alam
Modified: 2013-07-02 21:02 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 22:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Report (43.48 KB, text/html)
2010-07-02 04:53 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2010-07-02 04:53:47 EDT
Created attachment 428774 [details]
System Report

Description of problem:
on my laptop, I installed Fedora 13, Touchpad is not working, need to use external mouse.

Version-Release number of selected component (if applicable):
kernel-2.6.33.5-124.fc13.x86_64
kernel-2.6.33.3-85.fc13.x86_64
kernel-2.6.35-0.15.rc3.git3.fc14.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install fedora 13, updated
2. click on touchpad
3.
  
Actual results:
it is not working

Expected results:
default it should work

Additional info:
1) try to install fedora 14 kernel (testing for display problem), it is not working
2) attaching HTML report (with hardinfo, as smolt server not responding at this time)
3) external mouse is logitech
Comment 2 A S Alam 2010-08-30 11:17:24 EDT
it is upstream kernel bug: 

https://patchwork.kernel.org/patch/89139/

workaround:
Add i8042.nopnp to kernel parameters.

(thanks to adamw)
Comment 3 Chuck Ebbert 2010-09-01 05:35:58 EDT
...and that patch was never merged upstream. Can you confirm that 2.6.34.6-47 is also broken?
Comment 4 A S Alam 2010-09-01 22:12:53 EDT
(In reply to comment #3)
> ...and that patch was never merged upstream. Can you confirm that 2.6.34.6-47
> is also broken?

oh,
yes, it is Not working with 2.6.34.6-47
Comment 5 Bug Zapper 2011-06-01 10:58:04 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 A S Alam 2011-06-01 22:24:21 EDT
it is working in Fedora 14 and Fedora 15. Hardware is no longer available for test with Fedora 13.

Note You need to log in before you can comment on or make changes to this bug.